# StageSceneController (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.client
Class StageSceneController

    java.lang.Object
      com.samskivert.swing.Controller
          com.threerings.crowd.client.PlaceController
              com.threerings.whirled.client.SceneController
                  com.threerings.whirled.spot.client.SpotSceneController
                      com.threerings.stage.client.StageSceneController

All Implemented Interfaces:
  ActionListener, EventListener

    public class StageSceneController

extends SpotSceneController

Extends the `SpotSceneController` with functionality specific to displaying Stage scenes.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.crowd.client.PlaceController
`com.threerings.crowd.client.PlaceController.DelegateOp`

Field Summary

Fields inherited from class com.samskivert.swing.Controller
`DISPATCHER`

Constructor Summary
`StageSceneController()`

Method Summary
`void` `handleClusterClicked(Object source, Tuple<Cluster,Point> tuple)` Handles a cluster clicked event.
`void` `handleLocationClicked(Object source, StageLocation loc)` Called when the user clicks on a location within the scene.

Methods inherited from class com.threerings.whirled.client.SceneController
`didLeavePlace, init, willEnterPlace`

Methods inherited from class com.threerings.crowd.client.PlaceController
`getPlaceConfig, getPlaceView, handleAction, mayLeavePlace`

Methods inherited from class com.samskivert.swing.Controller
`actionPerformed, configureAction, createActionButton, handleAction, handleAction, handleAction, postAction, postAction, postAction, setControlledPanel, wasAdded, wasRemoved`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StageSceneController

    public StageSceneController()

Method Detail

### handleLocationClicked

    public void handleLocationClicked(Object source,
                                      StageLocation loc)

  Called when the user clicks on a location within the scene.

### handleClusterClicked

    public void handleClusterClicked(Object source,
                                     Tuple<Cluster,Point> tuple)

  Handles a cluster clicked event.

  Parameters:
    `tuple` - the cluster that was clicked and the screen coords of the click.

Copyright © 2011. All Rights Reserved.